﻿namespace CometDocs
{
    /// <summary>
    /// The base class for all the CometDocs web API responses.
    /// </summary>
    internal class Response
    {
        /// <summary>
        /// The status of the response.
        /// </summary>
        public Status Status { get; set; }

        /// <summary>
        /// A short description of the state.
        /// </summary>
        public string Message { get; set; }

        /// <summary>
        /// A longer description of the state.
        /// </summary>
        public string Error { get; set; }
    }
}
