﻿namespace CometDocs
{
    /// <summary>
    /// Wrapper for the CometDocs raw authentication token (a simple string)
    /// </summary>
    public class AuthenticationToken
    {
        /// <summary>
        /// The raw string value.
        /// </summary>
        public string Value { get; private set; }

        /// <summary>
        /// Creates a new AuthenticationToken from the CometDocs raw token.
        /// </summary>
        /// <param name="value">The CometDocs raw token</param>
        public AuthenticationToken(string value)
        {
            Value = value;
        }
    }
}
