﻿namespace CometDocs
{
    /// <summary>
    /// Represents a CometDocs folder.
    /// Its original descriptions is available here: https://www.cometdocs.com/developer/apiDocumentation#types
    /// </summary>
    public class Folder : FolderInfo
    {
        /// <summary>
        /// Gets or sets the list of sub-folders.
        /// </summary>
        public Folder[] Folders { get; set; }

        /// <summary>
        /// Gets or sets the list of files in this folder.
        /// </summary>
        public FileInfo[] Files { get; set; }
    }
}
