﻿using System;

namespace CometDocs
{
    /// <summary>
    /// Exception raised when an invalid (e.g. expired) token is provided to execute an operation that requires authentication.
    /// </summary>
    public class InvalidTokenException : CometDocsException
    {
        public InvalidTokenException(string message, Status status, string error)
            : base(message, status, error)
        {
        }
    }
}
