﻿namespace CometDocs
{
    /// <summary>
    /// The enumeration of the possible notification types.
    /// The updated list with descriptions is available here: https://www.cometdocs.com/developer/apiDocumentation#notification-types.
    /// </summary>
    public enum NotificationType
    {
        ConversionDone = 1,
        OCRRequired = 2,
        ConversionFailed = 3,
        SharingRequestSent = 4,
        FileShared = 5
    }
}
